cascading.cascade

## Class CascadeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - cascading.CascadingException
        - - cascading.cascade.CascadeException

All Implemented Interfaces:
  java.io.Serializable

    public class CascadeException
    extends CascadingException

Class CascadeException is thrown by the `Cascade` class.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`CascadeException()` Constructor CascadeException creates a new CascadeException instance.
`CascadeException(java.lang.String string)` Constructor CascadeException creates a new CascadeException instance.
`CascadeException(java.lang.String string, java.lang.Throwable throwable)` Constructor CascadeException creates a new CascadeException instance.
`CascadeException(java.lang.Throwable throwable)` Constructor CascadeException creates a new CascadeException instance.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CascadeException

    public CascadeException()

Constructor CascadeException creates a new CascadeException instance.

#### CascadeException

    public CascadeException(java.lang.String string)

Constructor CascadeException creates a new CascadeException instance.

Parameters:
  `string` - of type String

#### CascadeException

    public CascadeException(java.lang.String string,
                    java.lang.Throwable throwable)

Constructor CascadeException creates a new CascadeException instance.

Parameters:
  `string` - of type String
  `throwable` - of type Throwable

#### CascadeException

    public CascadeException(java.lang.Throwable throwable)

Constructor CascadeException creates a new CascadeException instance.

Parameters:
  `throwable` - of type Throwable